Bug 101766 - [MAINTAINER] mail/MailScanner: update to 4.55.10
Summary: [MAINTAINER] mail/MailScanner: update to 4.55.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-10 18:00 UTC by Jan-Peter Koopmann
Modified: 2006-08-11 21:10 UTC (History)
0 users

See Also:


Attachments
MailScanner-4.55.10.patch (53.69 KB, patch)
2006-08-10 18:00 UTC, Jan-Peter Koopmann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan-Peter Koopmann 2006-08-10 18:00:33 UTC
Reason for critical/high: Several fixes for anti-virus tool.

Added file(s):
- files/MailScanner.8

Removed file(s):
- files/patch-docs-man-MailScanner.8
- files/patch-docs-man-MailScanner.8.html
- files/patch-docs-man-MailScanner.conf.5
- files/patch-docs-man-MailScanner.conf.5.html

- Update to 4.55.10
8/8/2006 New in Version 4.55.10-3
=================================
* New Features and Improvements *
1 Added a complete new set of configuration settings to report on
  messages and attachments that are outside the size limits set in
  MailScanner.conf. These are:
  Sender Size Report
  Stored Size Message Report
  Deleted Size Message Report
  Size Modify Subject
  Size Subject Text
  These are used in exactly the same way as the other sets of options
  that tag and modify the message for other reasons.

* Fixes *
1 When 'Outgoing Queue Dir' was changed from the default, kicking sendmail
  into attempting delivery of a new processed message in the outgoing queue
  would just wait for the next regular run of the queue. Now fixed so that
  a delivery attempt is made immediately. This fix only affects users who
  have changed the "Outgoing Queue Dir" setting and who are also using
  sendmail as their MTA.
2 Missed 2 "defined" checks on variables before using them.
  Thanks to Andy Kirkpatrick for spotting that one.
-2 Fixed version number check.

1/8/2006 New in Version 4.55.9-1
=================================
* New Features and Improvements *
1 Added educ.ar and uba.ar to country.domains.conf for less strict phishing net.
1 Code tidy up in Message constructor.
1 Speed improvements to ZMailer attachment extraction to keep up with the
  other MTAs.
1 "Log Speed = no" now does what it says on the tin. (UK in-joke :-)
1 Added "stopms" option to Linux init.d scripts.
1 Improved behaviour when %percentvars% at start of MailScanner.conf have not
  been configured at all. It now uses the fully-qualified hostname to guess
  the domain name and website address. It used to refuse to run which was
  very impolite.
1 Added Sys::Hostname::Long to list of required modules to implement the above.
2 Documentation rationalisation. Most up to date versions are all on the web.
3 Now output lock type in use with "--lint".
4 Improvement to Sophos.install for Sophos Version 5 so that email logging is
  disabled.
4 Now use syslog "notice" priority instead of "info" when issuing messages
  that are nearly warnings. This helps you drastically reduce the amount of
  syslog output by just logging priorities greater than or equal to "notice".
5 Added a "Contact Us" web page instead of just a mailto: link.
6 Improved Help guidance in Contact Us web page.
6 New command-line option: "-c" or "--changed".
  This will print out a table of all the configuration settings that have
  been changed from the default values hard-coded into MailScanner. Note
  this may not be quite the same as the differences from the supplied
  default MailScanner.conf file.
6 Updated hard-coded defaults to better match MailScanner.conf settings.
6 Improved handling of broken Custom Functions. Having a broken Custom
  Function will now just result in the setting's default value being used.
7 Bugfix for "--changed" printing when using Custom Functions.
8 Improved syslog-ing code so it doesn't matter is syslogd dies.
8 Upgraded DBD-SQLite to version 1.12 as it builds a lot more easily.
8 Improved handling of Postfix virtual users. Thanks to jpabuyer@tecnoera.com.
9 Added catch to commercial virus scanning code to allow syslogd to die during
  a virus scan.
9 Improved speed logging to remove chatter.
9 Upgraded Sys::Syslog to 0.17 which builds okay, unlike 0.16.
9 MCP timings are no longer output if MCP checks are disabled.

* Fixes *
1 Put back in the checks of free disk space that were in 4.53.1 but then lost.
1 Fix in check_MailScanner for MacOSX.
3 Default lock type for sendmail is now posix, as it should be.
4 Fix to phishing net so that links to "www.domain.com." are accepted as legal.
6 Fixed problem with dangerous filenames in TNEF archives when using the
  external TNEF expander.
8 Fixed problem with long SpamAssassin report in report files getting truncated
  at % signs.
8 Fixed phishing net problem with some cases of outbind://\d+/.... URLs.
9 Stopped logging code producing ridiculous numbers.
9 Improved Denial-of-service attack detector to handle multiple virus scanners
  more quickly. Now clears detection in 2 x Virus Scanner Timeout, as expected.
9 Fixed minor bug in TNEF handling of bad messages.
9 "service MailScanner reload" should work properly now.


Generated with FreeBSD Port Tools 0.63
Comment 1 Pav Lucistnik freebsd_committer 2006-08-11 20:17:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

I'll have a go on this one
Comment 2 Pav Lucistnik freebsd_committer 2006-08-11 21:10:38 UTC
State Changed
From-To: open->closed

Committed, thanks!